Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
vector-stores
/
{uuid}
GetVectorStore
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/vector-stores/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "propagate": true,
  "spec": {
    "embedding_model": "EMBEDDING_MODEL_UNSPECIFIED",
    "embedding_provider": "EMBEDDING_PROVIDER_UNSPECIFIED",
    "dimensions": 123,
    "uniqueness_fields": "<string>"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

Represents a vector store in the system. The vector store will create all the infrastructure for semantic searches.

meta
object
required

Common fields for all Endor Labs resources.

propagate
boolean

Vector stores can be propagated and accessed in child namespaces.

spec
object
tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of an VectorStore.